%% prior mean
A0 = zeros(k,n);

%% hyperparameters
c1 = 0.2; c3 = 2;

% intercept
vc0 = 10;

% VAR coefficient
sqrtsig = zeros(n,1);
for i = 1:n
    yi = Y(:,i);
    Xi = [ones(T,1) X(:, (i+1):n:n*p )];
    e = yi - Xi*( (Xi'*Xi)\(Xi'*yi) );
    sqrtsig(i) =  sqrt( mean(e.^2) );
end

C1 = 1./( kron(1:p, ones(1,n)).^c3 );
C2 = repmat(sqrtsig', 1, p); 
vPhi = c1^2.*C1.*C2;

VA0 = sparse(1:k, 1:k, [vc0 vPhi], k, k);
invVA0 = 1./VA0;
