function [runtime1, txtlen] = showprog( isim, nsims, progstep, runtime0, runtime1, txtlen )
% nicely prints the loop progress with percentage

if mod( isim, floor( nsims / progstep ) ) == 0
    if ispc
        for cnt = 1:txtlen
            fprintf( '\b' );
        end
        txtlen = fprintf( '%d iterations completed (%3.1f%%); this iteration: %3.1f minutes; total runtime: %3.1f hours', isim, isim / nsims * 100, ( runtime1 - runtime0 ) / 60, runtime1 / 3600 );
    else
        fprintf( '\r%d iterations completed (%3.1f%%); this iteration: %3.1f minutes; total runtime: %3.1f hours', isim, isim / nsims * 100, ( runtime1 - runtime0 ) / 60, runtime1 / 3600 );
    end      
end
